Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ExpressionTree

- All Superinterfaces:
    `Tree`
  All Known Subinterfaces:
    `ArrayAccessTree`, `ArrayLiteralTree`, `AssignmentTree`, `BinaryTree`, `ClassExpressionTree`, `CompoundAssignmentTree`, `ConditionalExpressionTree`, `ErroneousTree`, `FunctionCallTree`, `FunctionExpressionTree`, `IdentifierTree`, `InstanceOfTree`, `LiteralTree`, `MemberSelectTree`, `NewTree`, `ObjectLiteralTree`, `ParenthesizedTree`, `RegExpLiteralTree`, `SpreadTree`, `TemplateLiteralTree`, `UnaryTree`, `YieldTree`

      public interface ExpressionTree
      extends Tree

  A tree node used as the base class for the different types of expressions.
  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`